c	***********************************************************

      subroutine output(ixy,y10,x10)
c
c history:
c 95/01/17 (mjw):  added calls to WRIMSG

      character cmsgnm*70
      real etime,time(2)

      include 'params.txt'
      include 'arrays.txt'
      include 'blob.txt'
      include 'stokes.txt'
      include 'mrncoef.txt'
      include 'tab.txt'
      
c     cpu time
      cpusec=etime(time)
      cpuhrs=cpusec/3600.
      ihrs=int(cpuhrs)
      cpumin=(cpuhrs-ihrs)*60.
      imin=int(cpumin)
      sec=(cpumin-imin)*60.
      write(cmsgnm,'(i3,a,i2,a,f5.2,a)')ihrs,":",imin,":",sec,
     $     ' = CPU time'
      call WRIMSG('OUTPUT',cmsgnm)

      aphot=photons
      check=ncheck
      unscat=check/aphot
      x=fluxo+unscat
      
      write(cmsgnm,'(i11,a)')photons,' = photons'
      call WRIMSG('OUTPUT',cmsgnm)
      write(cmsgnm,'(1pe11.3,a)')tnot,
     $     ' = op. depth of blob through center'
      call WRIMSG('OUTPUT',cmsgnm)
      write(cmsgnm,'(f11.1,a)')binc,' = number of bins'
      call WRIMSG('OUTPUT',cmsgnm)
      write(cmsgnm,'(1pe11.3,a)')fluxo,' = scattered flux '
      call WRIMSG('OUTPUT',cmsgnm)
      write(cmsgnm,'(1pe11.3,a)')aflux,
     $     ' = fraction of scattered flux absorbed'
      call WRIMSG('OUTPUT',cmsgnm)
      write(cmsgnm,'(1pe11.3,a)')unscat,' = unscattered flux through'
      call WRIMSG('OUTPUT',cmsgnm)

      open(unit=2,status='unknown',file='blob.out')
      write(2,*) 'blob 93:  fixed flux normalization'
      write(2,*) 'photons',photons
      write(2,*) 'op. depth of blob',tnot
      write(2,*) 'number of bins',binc
      write(2,*) 'scattered flux',fluxo
      write(2,*) 'fraction of scattered flux absorbed',aflux
      write(2,*) 'unscattered flux',unscat
      write(2,*) 'scattered + unscattered',x
      write(2,*) 'average number of scatters',scatave
      write(2,*) 'idust',idust
	write(2,*) 'efficency of direction sampling',hit/htot
      write(2,*) 'rlam',rlam
      if(idust.eq.1) then
         write(2,*) 'g,pl,pc,sc',g,pl,pc,sc
      end if
      write(2,*) 'ixy,y10,x10',ixy,y10,x10
      write(2,*) 'cputime:',ihrs,' hrs',imin,' min',sec,' sec'
      close(2)
       
c     now make the data files
      open(unit=15,file='stokes.out',status='unknown')
c     photons vs. mu
      do l=1,mc
         write(15,900) theta(l),ti(l),tq(l)/ti(l),tu(l)/ti(l)
     1        ,tv(l)/ti(l),erro(l)
      end do
 900  format(f6.1,5(1x,1pe10.3))
      
c     now make the data files
      open(unit=15,file='stokeserr.out',status='unknown')
c     photons vs. mu
      do l=1,mc
         write(15,900) theta(l),ti2(l),tq2(l),tu(l)
     1        ,tv(l)
      end do
 910  format(f6.1,4(1x,1pe10.3))

      close(15)
      
      return
      end
